/* $Id: SetLinkTargetAction.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.drawing_tool.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.connection.ConnectionCreator;
import smart_gs.reasoning_web.logical.GS_RWElement;

public class SetLinkTargetAction implements ActionListener {
	
	private GS_RWElement target;
	
	public SetLinkTargetAction(GS_RWElement target){
		this.target = target;
	}
	
	public void actionPerformed(ActionEvent e) {
		ConnectionCreator.setTarget(this.target);
	}

}
